Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.reasoning.impl
Class NonBlockingPriorityNotifyingFutureTask<V,A>

    java.lang.Object
      java.util.concurrent.FutureTask<V>
          com.hammurapi.util.concurrent.NonBlockingNotifyingFutureTask<V>
              com.hammurapi.reasoning.impl.NonBlockingPriorityNotifyingFutureTask<V,A>

All Implemented Interfaces:
  NotifyingFuture<V>, Comparable<NonBlockingPriorityNotifyingFutureTask<V,A>>, Runnable, Future<V>, RunnableFuture<V>

    public class NonBlockingPriorityNotifyingFutureTask<V,A>

extends NonBlockingNotifyingFutureTask<V>
implements Comparable<NonBlockingPriorityNotifyingFutureTask<V,A>>

Constructor Summary
`NonBlockingPriorityNotifyingFutureTask(Callable<V> callable, TaskCounter taskCounter, A[] args, int priority)`

Method Summary
`int` | `compareTo(NonBlockingPriorityNotifyingFutureTask<V,A> o)`
`void` | `run()`

Methods inherited from class com.hammurapi.util.concurrent.NonBlockingNotifyingFutureTask
`addListener, get, removeListener`

Methods inherited from class java.util.concurrent.FutureTask
`cancel, done, get, isCancelled, isDone, runAndReset, set, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.concurrent.Future
`cancel, get, isCancelled, isDone`

Constructor Detail

### NonBlockingPriorityNotifyingFutureTask

    public NonBlockingPriorityNotifyingFutureTask(Callable<V> callable,
                                                  TaskCounter taskCounter,
                                                  A[] args,
                                                  int priority)
                                           throws InterruptedException

Throws:
  `InterruptedException`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in interface `RunnableFuture<V>`
  Overrides:
    `run` in class `NonBlockingNotifyingFutureTask<V>`

### compareTo

    public int compareTo(NonBlockingPriorityNotifyingFutureTask<V,A> o)

  Specified by:
    `compareTo` in interface `Comparable<NonBlockingPriorityNotifyingFutureTask<V,A>>`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD